Debian Bug report logs - #552618
RFP: utfcpp -- A simple, portable and lightweight generic library for handling UTF-8 encoded strings.

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Mathieu Malaterre <malat@debian.org>

Date: Wed, 28 Oct 2009 09:57:02 UTC

Severity: wishlist

Fixed in version utfcpp/2.3.2-1

Done: Mathieu Malaterre <malat@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, <wnpp@debian.org>:
Bug#552618; Package wnpp. (Wed, 28 Oct 2009 09:57:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mathieu Malaterre <mathieu.malaterre@gmail.com>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, <wnpp@debian.org>. (Wed, 28 Oct 2009 09:57:06 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Mathieu Malaterre <mathieu.malaterre@gmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: utfcpp -- A simple, portable and lightweight generic library for handling UTF-8 encoded strings.
Date: Tue, 27 Oct 2009 15:04:14 +0100
Package: wnpp
Severity: wishlist
Owner: Mathieu Malaterre <mathieu.malaterre@gmail.com>


* Package name    : utfcpp
  Version         : 2.2.3
  Upstream Author : Nemanja Trifunovic
* URL             : https://sourceforge.net/projects/utfcpp/
* License         : BSD
  Programming Lang: C++
  Description     : A simple, portable and lightweight generic library for handling UTF-8 encoded strings.

Many C++ developers miss an easy and portable way of handling Unicode encoded
strings. The original C++ Standard (known as C++98 or C++03) is Unicode
agnostic, and while some work is being done to introduce Unicode to the next
incarnation called C++0x, for the moment nothing of the sort is available. In
the meantime, developers use third party libraries like ICU, OS specific
capabilities, or simply roll out their own solutions.

-- System Information:
Debian Release: 5.0.2
  APT prefers stable
  APT policy: (500, 'stable'), (200, 'testing'), (100, 'unstable')
Architecture: amd64 (x86_64)




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Mathieu Malaterre <mathieu.malaterre@gmail.com>:
Bug#552618; Package wnpp. (Sat, 19 Feb 2011 18:15:21 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Mathieu Malaterre <mathieu.malaterre@gmail.com>. (Sat, 19 Feb 2011 18:15:21 GMT) Full text and rfc822 format available.

Message #10 received at 552618@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@debian.org>
To: 552618@bugs.debian.org
Cc: control@bugs.debian.org
Subject: utfcpp: changing back from ITP to RFP
Date: Sat, 19 Feb 2011 17:06:29 +0000
retitle 552618 RFP: utfcpp -- A simple, portable and lightweight generic library for handling UTF-8 encoded strings.
noowner 552618
thanks

Hi,

This is an automatic email to change the status of utfcpp back from ITP
(Intent to Package) to RFP (Request for Package), because this bug hasn't seen
any activity during the last 6 months.

If you are still interested in adopting utfcpp, please send a mail to
<control@bugs.debian.org> with:

 retitle 552618 ITP: utfcpp -- A simple, portable and lightweight generic library for handling UTF-8 encoded strings.
 owner 552618 !
 thanks

However, it is not recommended to keep ITP for a long time without acting on
the package, as it might cause other prospective maintainers to refrain from
packaging that software. It is also a good idea to document your progress on
this ITP from time to time, by mailing <552618@bugs.debian.org>.

Thank you for your interest in Debian,
-- 
Lucas, for the QA team <debian-qa@lists.debian.org>




Changed Bug title to 'RFP: utfcpp -- A simple, portable and lightweight generic library for handling UTF-8 encoded strings.' from 'ITP: utfcpp -- A simple, portable and lightweight generic library for handling UTF-8 encoded strings.' Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Sat, 19 Feb 2011 18:23:50 GMT) Full text and rfc822 format available.

Removed annotation that Bug was owned by Mathieu Malaterre <mathieu.malaterre@gmail.com>. Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Sat, 19 Feb 2011 18:23:51 GMT) Full text and rfc822 format available.

Changed Bug submitter to 'Mathieu Malaterre <malat@debian.org>' from 'Mathieu Malaterre <mathieu.malaterre@gmail.com>' Request was from Mathieu Malaterre <malat@debian.org> to control@bugs.debian.org. (Wed, 28 Mar 2012 13:55:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#552618; Package wnpp. (Sun, 21 Oct 2012 01:57:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Giulio Paci <giuliopaci@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sun, 21 Oct 2012 01:57:06 GMT) Full text and rfc822 format available.

Message #21 received at 552618@bugs.debian.org (full text, mbox):

From: Giulio Paci <giuliopaci@gmail.com>
To: 552618@bugs.debian.org
Cc: "A. Maitland Bottoms" <bottoms@debian.org>, Alexander Reichle-Schmehl <tolimar@debian.org>, Andreas Tille <tille@debian.org>, Andrew Caudwell <acaudwell@gmail.com>, Anton Gladky <gladky.anton@gmail.com>, Christian Marillat <marillat@debian.org>, Christoph Egger <christoph@debian.org>, Christophe Monniez <christophe.monniez@fccu.be>, Christophe Prud'homme <prudhomm@debian.org>, David Moreno <damog@debian.org>, Debian Forensics <forensics-devel@lists.alioth.debian.org>, Debian Games Team <pkg-games-devel@lists.alioth.debian.org>, Vincent Cheng <Vincentc1208@gmail.com>, Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>, Debian Ruby Extras Maintainers <pkg-ruby-extras-maintainers@lists.alioth.debian.org>, Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>, Dominique Belhachemi <domibel@debian.org>, Eddy Petrișor <eddy.petrisor@gmail.com>, Filipe Lautert <filipe@debian.org>, Francois Marier <francois@debian.org>, Giuseppe Borzi <gborzi@ieee.org>, Micah Anderson <micah@debian.org>, Miriam Ruiz <little_miry@yahoo.es>, Sam Hocevar <sho@debian.org>, Siegfried-Angel Gevatter Pujals <rainct@ubuntu.com>, "Steve M. Robbins" <smr@debian.org>, Timo Jyrinki <timo@debian.org>, Tobias Frost <tobi@coldtobi.de>, Mark Vejvoda <mark_vejvoda@hotmail.com>
Subject: Potential users of utfcpp package
Date: Sun, 21 Oct 2012 03:55:50 +0200
Hi to all!

I recently started packaging a software (phonetisaurus) that includes its own copy of utfcpp.
My sponsor noticed that the same code is included in several other packages (e.g., drizzle
fife gdcm gource librime libvoikko love md5deep megaglest mkvtoolnix paraview ruby-passenger
supertuxkart vtk).

I have no current plan to package utfcpp, but I will use it if it will become available in Debian.

I Cc-ed maintainers of the packages mentioned above, because they are potential users of this
package.

Bests,
	Giulio.



Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Sat, 26 Jan 2013 19:06:03 GMT) Full text and rfc822 format available.

Reply sent to Mathieu Malaterre <malat@debian.org>:
You have taken responsibility. (Sat, 06 Apr 2013 11:03:04 GMT) Full text and rfc822 format available.

Notification sent to Mathieu Malaterre <malat@debian.org>:
Bug acknowledged by developer. (Sat, 06 Apr 2013 11:03:04 GMT) Full text and rfc822 format available.

Message #28 received at 552618-close@bugs.debian.org (full text, mbox):

From: Mathieu Malaterre <malat@debian.org>
To: 552618-close@bugs.debian.org
Subject: Bug#552618: fixed in utfcpp 2.3.2-1
Date: Sat, 06 Apr 2013 11:00:05 +0000
Source: utfcpp
Source-Version: 2.3.2-1

We believe that the bug you reported is fixed in the latest version of
utfcpp, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 552618@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Mathieu Malaterre <malat@debian.org> (supplier of updated utfcpp package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sat, 26 Jan 2013 19:13:19 +0100
Source: utfcpp
Binary: libutfcpp-dev libutfcpp-doc
Architecture: source amd64 all
Version: 2.3.2-1
Distribution: unstable
Urgency: low
Maintainer: Mathieu Malaterre <malat@debian.org>
Changed-By: Mathieu Malaterre <malat@debian.org>
Description: 
 libutfcpp-dev - UTF8-CPP: UTF-8 with C++ - dev
 libutfcpp-doc - UTF8-CPP: UTF-8 with C++ - dev
Closes: 552618
Changes: 
 utfcpp (2.3.2-1) unstable; urgency=low
 .
   * Initial Debian Upload (Closes: #552618)
Checksums-Sha1: 
 f6c6a06404be6e5939176e28ed14a7fd12747dc3 1888 utfcpp_2.3.2-1.dsc
 9bb39b562feec8aa449a6a868db8fcd44ba18fa3 17641 utfcpp_2.3.2.orig.tar.gz
 645b348aed9cf7a06c0d56fab4bf82bb71dab18a 1953 utfcpp_2.3.2-1.debian.tar.gz
 bf32bc6f8223c1d0127e4a2b7272c71c61b2848b 7770 libutfcpp-dev_2.3.2-1_amd64.deb
 0af314b6c6fae2e2acce40f3278749bc3a40d60f 14680 libutfcpp-doc_2.3.2-1_all.deb
Checksums-Sha256: 
 76e57e34c933250c135a815ea59dfa4de001735e6afd909b49540c684552167a 1888 utfcpp_2.3.2-1.dsc
 9bd0703fb2cac34058bd0e679c8ccd9e4617143dda64fb53d313a4e642065859 17641 utfcpp_2.3.2.orig.tar.gz
 1809fc2d5dc1b4276ed0762297c2c100e3685c642ada70a758a5ffcb30218d42 1953 utfcpp_2.3.2-1.debian.tar.gz
 b00fc9f3d90b05918a41d17351583206e58668d78c0d26d780fd7fc020693af8 7770 libutfcpp-dev_2.3.2-1_amd64.deb
 696fb6869a13b6cf4224da8b069d57c9381075d7fb545b7ac87c46e7f54389e9 14680 libutfcpp-doc_2.3.2-1_all.deb
Files: 
 a3d92c81d8131e09aaca9de7273977ec 1888 libdevel optional utfcpp_2.3.2-1.dsc
 5c1696cfa2b033cc1252733d4ea56aaa 17641 libdevel optional utfcpp_2.3.2.orig.tar.gz
 9f562831ca766297190ac1cf29c44302 1953 libdevel optional utfcpp_2.3.2-1.debian.tar.gz
 cdcd7d4ad7b0eb427adc126a83adf177 7770 libdevel optional libutfcpp-dev_2.3.2-1_amd64.deb
 ee7bcbaed1d6813ea973dd37a60de4e1 14680 doc optional libutfcpp-doc_2.3.2-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iQIcBAEBAgAGBQJRBB+gAAoJEAFx4YKK4JNFS7cP/2JF6WfxEUOuRGi2tx1Vor99
m7g1K7vN8VaruKIwfHryYHoOfNDRFdPIoarNMwDhDCUEVgSUZx6K6DXVYbb335fc
J3WxAiyiKkhfFx3C4Gr4otsilmVFR5nWthflg3QT26yFfmVko5r/AmRjmPx9QZ8j
PhRQSWmOQ7ojoPpO+Mi4PdMUumNH6WV640rszAJZGu3JCggtY5cza2FQZtqhTYS5
zTJjFOIeqJBQMubcEIkeixMttKfh8mTGGQPgp/dkYhgMHIZd4bxJ3yopFoJacuX/
nGFoyqZUS8st345UMMCo1w4tHUAfN9tCk6Bc3cwku13qbYrat6HtM7p1Nh8/cATW
ovsWNkTzvtO82qIuHIYwdJpt2ZFHyaOu/oug7c9orDiBbOwVGpfmAWOealLqOmqc
hb0/kuYBskTkgwbOefWjOd2bxyjuU1XrNo2lbmpjZ3k3ojbMCw+4IKuiBTwT/rX8
Pndp5zxUgVLeb3OR0ePv/c/BrcZ7RtCuHwzJkMJGl4IYkXllfQ5H8uz5s+LgbEfo
87afmmlBfbs5lK6kO8261vGwfqs1NtMy45h+roMxCE2S+be/981ZGQBQn2qhm6GV
Ied76KzkLZHiSVwKDKmR8pqFKV/Exrw0HkLvI0tNc/PvZiFuEENnnaQRpeURAvjQ
TYusW8f/k2/gAzeMdN+w
=d1gq
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 05 May 2013 07:32:51 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 19:28:36 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.